package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 商品标签类型
 */
@AllArgsConstructor
@Getter
public enum ELabelType {
    /**
     * 前缀标签
     */
    PREFIX(1, "前缀标签", 0),
    /**
     * 酷炫标签
     */
    COOL(2, "炫酷标签", 0),
    /**
     * 保障标签
     */
    ENSURE(3, "保证标签", 0),
    /**
     * 卖点标签
     */
    SELLING(4, "卖点标签", 0);


    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (ELabelType enums : ELabelType.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
